Subject: Using format-patch and apply against files with CRLF line endings

From: "Steven E. Harris" <[email-masked]>
Date: Wed, 20 Apr 2011 07:48:02 -0400

Is it the case that format-patch will always emit text with LF line
endings, or is it respecting whatever the host platform considers to be
the proper line ending? Is the line ending in use configurable?

I ask because I see that git-p4 uses format-patch and apply internally
to apply changes against files in the Perforce workspace, and those
files have CRLF line endings, but it looks like format-patch is emitting
patches with LF line endings, and none of those patches will apply
cleanly.

Perhaps I just need to pipe the output from format-patch through
unix2dos before feeding it to apply, but I'm wondering whether I'm
barking up the wrong tree here.

-- 
Steven E. Harris